<!--
 * @Author: 小明丶
 * @Date: 2019-08-20 14:45:33
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-11-16 16:55:24
 * @Description: 全局圆形按钮
 -->
<template>
    <van-button class="btn-export" @click="$emit('click')" :style="{background:$store.state.backColor}">
            <div class="inner">
                <svg class="icon" aria-hidden="true" style="width:15px;height:15px;fill:#fff">
                    <use :xlink:href="'#'+icon"></use>
                </svg>
                <span class="text">{{title}}</span>
            </div>
    </van-button>
</template>
<script>
export default {
    name:'v-button-circle',
    props:{
        title:{
            type:String,
            required:true,
        },
        icon:{
            type:String,
            required:true,
        },
    }
}
</script>
<style lang="less" scoped>
    .btn-export {
            position: fixed;
            width: 50px;
            height: 50px;
            padding: 0;
            right: 8px;
            bottom: 68px;
            border-radius: 50%;
            color: @c-text-f5;
            z-index: @zIndex-50;
            box-shadow: 0px 5px 9px 0px rgba(80, 47, 183, 0.3);
            background: linear-gradient(0deg, rgba(106, 79, 188, 1), rgba(137, 110, 219, 1));

            .inner {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
            }

            .text {
                .lh(15px);
                margin-top: 2px;
            }
        }
</style>